<div>
  <h2 id="page-heading" data-cy="StructureHeading">
    <span jhiTranslate="gestionPersonnel3App.structure.home.title">Structures</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.structure.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-structure"
        [routerLink]="['/structure/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.structure.home.createLabel"> Créer un nouveau Structure </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="structures?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.structure.home.notFound">Aucun Structure trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="structures && structures.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="type">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.structure.type">Type</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="sigle">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.structure.sigle">Sigle</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="libelle">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.structure.libelle">Libelle</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="parentStructure.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.structure.parentStructure">Parent Structure</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let structure of structures; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/structure', structure.id, 'view']">{{ structure.id }}</a>
          </td>
          <td jhiTranslate="{{ 'gestionPersonnel3App.TypeStructure.' + structure.type }}">{{ structure.type }}</td>
          <td>{{ structure.sigle }}</td>
          <td>{{ structure.libelle }}</td>
          <td>
            <div *ngIf="structure.parentStructure">
              <a [routerLink]="['/structure', structure.parentStructure.id, 'view']">{{ structure.parentStructure.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/structure', structure.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/structure', structure.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(structure)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
